## darcsum 1.10%2B20120116

=== debian/changelog ===
darcsum (1.10+20120116-4) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ David Bremner ]

  * rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Sat, 26 Dec 2020 09:57:18 -0400

darcsum (1.10+20120116-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2019 07:19:03 -0300

darcsum (1.10+20120116-2) unstable; urgency=medium

  * Update Homepage URL.
  * Bump Stanrads-Version to 4.1.5
  * debian/compat: 11
  * d/control: Move Vcs-* to salsa.d.o.
  * elpa packaging
  * Move package under emacsen-team.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 Jul 2018 11:23:07 +0900

darcsum (1.10+20120116-1) unstable; urgency=low

  * Imported upstream darcs repository.
  * debian/rules:
    + Don't build unneed hakyll.
    + install emacsen script to generic emacsen config directory.
  * debian/docs: Add README.md
  * Update emacsen script. (Closes: #671570)
  * debian/source/format: 3.0.
  * debian/control:
    + Add support Emacs 24 and depend on emacsen.  (Closes: #674239)
    + Bump Standars to 3.9.4.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 May 2013 15:23:01 +0900

darcsum (1.10-4) unstable; urgency=low

  * Rewrite emacs startup script. (Closes: #671553)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 22:42:24 +0900

darcsum (1.10-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * debian/control: Fixed typo in description.
  * Drop support emacs22.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 11:51:06 +0900

darcsum (1.10-2) unstable; urgency=low

  * debian/rules: use debian/install
  * drop emacs21 support (Closes: #554679).

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Nov 2009 17:35:28 +0900

darcsum (1.10-1) unstable; urgency=low

  * Initial release (Closes: #444004)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 22 Oct 2009 11:08:29 +0900

## darcsum 1.10+20120116

=== Makefile ===

# called on each darcs commit
commithook: site

sitebuild site: hakyll index.html
	./hakyll build

index.html:
	ln -s README.html index.html

siteclean: hakyll
	./hakyll clean

sitepreview: hakyll
	./hakyll preview 8001

hakyll: hakyll.hs
	ghc --make -Wall hakyll.hs

# misc
tag: TAGS

TAGS: *.el *.hs *.markdown Makefile
	etags *.el *.hs *.markdown Makefile

clean:
	rm -f *.o *.hi

Clean: clean
	rm -rf _cache _site TAGS

=== debian/changelog ===
darcsum (1.10+20120116-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 17:53:57 +0900

darcsum (1.10+20120116-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 24 Jul 2024 21:40:11 +0900

=== debian/control ===
Source: darcsum
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12), dh-elpa (>= 0.0.17)
Standards-Version: 4.1.5
Homepage: https://hub.darcs.net/simon/darcsum
Vcs-Git: https://salsa.debian.org/emacsen-team/darcsum.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/darcsum

Package: elpa-darcsum
Architecture: all
Depends: ${misc:Depends},${elpa:Depends}
Recommends: emacs (>= 46)
Breaks: darcsum (<< 1.10+20120116-2)
Provides: darcsum
Description: pcl-cvs like interface for managing darcs patches
 darcsum is an emacs interface for Darcs. It has a pcl-cvs like interface,
 and you can commit changes, edit change logs, review changes, etc...

Package: darcsum
Architecture: all
Depends: ${misc:Depends}, elpa-darcsum
Description: Transition package, darcsum to elpa-darcsum
 The darcsum emacs addon has been elpafied.  This dummy package
 helps ease transition from darcsum to elpa-darcsum.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with elpa

override_dh_auto_build:
	true

#override_dh_installemacsen:
#	dh_installemacsen --flavor=emacs23
#	dh_installemacsen --flavor=xemacs21
